#include <complex.h>
#include <fftw3.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>

#define L (1<<25)
///#define NT 2

void main(void){
  short unsigned int seed[3];
  fftw_complex * A;
  struct timespec ts_start;
  struct timespec ts_end;
  seed[0] = 123;
  seed[1] = 456;
  seed[2] = 789;
  seed48(seed);

  A = (fftw_complex *)fftw_malloc(L*sizeof(fftw_complex));
  int i;
  for (i=0;i<L;i++) A[i] = (fftw_complex)(drand48()+I*drand48());

  fftw_init_threads();

  fftw_complex *in   = (fftw_complex *)fftw_malloc(L*sizeof(fftw_complex));
  fftw_complex *out  = (fftw_complex *)fftw_malloc(L*sizeof(fftw_complex));
  
  fftw_plan_with_nthreads(NT);
  fftw_plan FP = fftw_plan_dft_1d(L,in,out,1,FFTW_ESTIMATE);
  fftw_free(in);
  fftw_free(out);
  
  fftw_complex *fft   = (fftw_complex *)fftw_malloc(L*sizeof(fftw_complex));
  fftw_execute_dft(FP,A,fft);
}
