#include <stdio.h>
#include <stdlib.h>
#include <cblas.h>

int main() {
int N=10000,N2,i,j;
N2=N*N;
//Memory allocation for the arrays:
double *A, *B, *C;
A = (double *)malloc( N2*sizeof( double ) );
B = (double *)malloc( N2*sizeof( double ) );
C = (double *)malloc( N2*sizeof( double ) );

for (i = 0; i < (N2); i++)
	A[i] = (double)(i+1),
	B[i] = (double)(-i-1),
	C[i] = 0.0;
printf ("Computing matrix product using OpenBLAS dgemm function via CBLAS interface...\n");
cblas_dgemm(CblasRowMajor, CblasNoTrans, CblasNoTrans, 
		N, N, N, 1.0, A, N, B, N, 1.0, C, N);
printf ("done.\n\n");
return 0;
}


