import numpy as np
import multiprocessing as mp
import numpy.random as npr

def gsrm(i):
	n=200
	A = npr.randn(n,n)
	ev=np.linalg.eigvals(A)
	return i,ev[0].real

p=mp.Pool(processes=4)

print(p.map(gsrm,range(9)))

results=p.imap_unordered(gsrm,range(9))
for r in results:
	print (r)
