import os, math
 
from multiprocessing import Process,Queue
 
def my_function(r,q):
    proc = os.getpid()
    i1=r[0]**3
    i2=r[1]**3
    print('Process #{0} will sum from {1} to {2}'.format(proc,i1,i2))
    sum=0.0
    for i in xrange (i1,i2):
	sum+=math.sin(i)
    q.put((i1,i2,sum))

#------------------------------------------------------------------ 
ranges = [ [500,600],[1,100], [201,300], [300,400],[401,500] ]
list_of_procs = []
q=Queue() 
for r in ranges:
    p = Process(target=my_function, args=(r,q))
    list_of_procs.append(p)
    p.start()
for p in list_of_procs:
    p.join()

results=[q.get() for p in list_of_procs]
print(results)
